// m_flattened
module.exports = function flatten (array) {
        var flattened = [];
        if (!Array.isArray(array)) return flattened;
        array.forEach(function (item) {
                if (typeof item === 'object' && 
                        Array.isArray(item)) {
                        var flat = flatten (item);
                        flat.forEach(function (value) {
                                flattened.push(value);
                        });
                } else if (item) {
                        flattened.push(item);
                }
        });
        return flattened;
}
